<?
	/** Zbiór funckji wyświetlających prawe menu.
	 * @author Michał Malinowski & Łukasz Chmielewski & Dariusz Działak
	 * @package XPDefault
	 */

	/** */
	if ( defined( '_RIGHT_MENU_FUN' ) ) return;
	define( '_RIGHT_MENU_FUN', 1 );

	/** Funckja wyświetlająca formularz logowania lub wylogowania (jeśli osoba jest zalogowana).
	 * @author Michał Malinowski
	 * @version 0.3
	 */
	function loging() {
		global $sess;

		if (!$sess->isLoged()) {
			if (!empty($_POST['login'])) {
			    echo '<font size="-1" color="red">Zły pesel lub hasło!</font>';
			    $sess->del("log_result");
			} else
			    printf("<font color=\"darkBlue\"><b>&nbsp;ZALOGUJ SIĘ</b></font>");
			$form = new CForm();
			$form->xexepage("login");
			$tab = new CTable(2);
			$tab->addField("<b>PESEL: </b>", "", "valign=\"center\"");
			$tab->addField($form->inputText("login", "text", "size=\"11\" maxlength=\"11\""));
			$tab->addField("<b>Hasło: </b>", "", "valign=\"center\"");
			$tab->addField($form->inputText("passwd", "password", "size=\"11\""));
			$tab->addField("");
			$tab->addField("<center>" . $form->imgText("Login", "./gfx/loguj.gif") . "</center>");
			$tab->close();
			$form->close();
		}
		else {
			$form = new CForm();
			$form->xexepage("logout");
			$tab = new CTable(1);
			$tab->addField("Zalogowany:");
			$tab->addField("<div class=\"akapit\"><b>" . $sess->get("imie") . "</b></div>", "akapit");
			$tab->addField("<div class=\"akapit\"><b>" . $sess->get("nazwisko") . "</b></div>", "akapit");
			$tab->addField($form->imgText("Login", "./gfx/wyloguj.gif"));
			$tab->close();
			$form->close();
		}
	}

	/** Funkcja wczytująca do sesji zbiór zadań, które pozostały studentowi do wykonania.
	 * @author Michał Malinowski
	 * @version 0.4
	 */
	function Sget_actual_tasks() {
		global $sess;

		$qstr =
			"SELECT zad.id, zad.zaj_cykli, zad.nazwa
				FROM XP_CYKLE_DYDAKTYCZNE cyk, XP_ZAJECIA_CYKLI zaj_cyk, XP_OSOBY_GRUP gr, XP_ZADANIE zad, XP_ZADANIE_GRUPY zad_gr
				WHERE  gr.os_id = '" . $sess->get('id') . "'
					AND  gr.zaj_cyk_id = zaj_cyk.id  AND  zaj_cyk.cdyd_kod = cyk.kod  AND  cyk.status_cyklu = 'A'
					AND  zaj_cyk.id = zad.zaj_cykli  AND  zad.id = zad_gr.id_zad      AND  zad_gr.gr_nr = gr.gr_nr";
		$q = new CQuery($qstr);
		$actual_tasks = array();
		while ($arr = $q->fetch_array()) {
			$actual_tasks[$arr['id']] =
				array('nazwa' => $arr['nazwa'],
							'zaj_cyk' => $arr['zaj_cykli']);
		}
		$qstr =
			"SELECT DISTINCT id_zad
				FROM XP_ODDANE_PRACE
				WHERE  id_stud = '" . $sess->get('id') . "'";
		$q->query($qstr);
		while ($arr = $q->fetch_array()) {
			unset($actual_tasks[$arr['id_zad']]);
		}
		$sess->set('Sactual_tasks', $actual_tasks);
	}

	/** Funkcja wypisuje zbiór zadań, które pozostały studentowi do wykonania.
	 * @author Michał Malinowski
	 * @version 0.4
	 */
	function Sshow_actual_task() {
		global $sess;

		if (!$sess->isLoged('Stud'))
			return;
		$actual_tasks = $sess->get('Sactual_tasks');
		if (empty($actual_tasks)) {
			Sget_actual_tasks();
			$actual_tasks = $sess->get('Sactual_tasks');
		}
		if (sizeof($actual_tasks) < 1)
			printf('<p>Brak aktualnych zadań</p>');
		else {
			printf('<p>Aktualne zadania:</p>');
			$tab = new CTable(1);
			$taskLink = new CLink('Stask');
			foreach($actual_tasks as $id_task => $task_data) {
				$taskLink->addFirstParam('Szaj_cyk', $task_data['zaj_cyk']);
				$taskLink->addParam('Stask', $id_task);
				$tab->addField($taskLink->get($task_data['nazwa']));
			}
			$tab->close();
		}
	}

	/** Funkcja wyświetlająca prawe menu dla asystenta.
	 * @author Lukasz Chmielewski
	 * @version 0.1
	 */
	function asysRightMenu() {
		global $sess;
		
		$co = $GLOBALS['co'];
		$What_zad = $GLOBALS['What_zad'];
		
		if (!$sess->isLoged("Asys"))
			return;
		include './functions/Aview.fun.php';

		$zadanie = &$sess->get("Azadanie");
		if (isset($zadanie)) {
			//printf("halo");
			$grupa = &$sess->get("Agrupa");
			$pom1 = linkWraport("<H4>Raport z zadania</H4>", $zadanie["id"], $grupa["gr"], $grupa["cyk"], $grupa["przed"], $grupa["cgr"], $grupa["cngr"]);
			$pom2 = linkMod("<H4>Modyfikuj zadanie</H4>", $zadanie["id"], $grupa["gr"], $grupa["cyk"], $grupa["przed"], $grupa["cgr"], $grupa["cngr"], $zadanie["gr_id"]);
			printf("<div class=\"akapit\">\n");
			print("$pom1");
			print("$pom2");

			$pom = linkPobierz ("<H4>Pobierz zadania</H4>", $zadanie["id"], $grupa["gr"], $grupa["cyk"], $grupa["przed"], $grupa["cgr"], $grupa["cngr"], $zadanie["gr_id"]);
			print($pom);
			printf("</div>\n");

			delExerciseData();
		}
		else {
		$grupa = &$sess->get("Agrupa");
			if (isset($grupa)) {
				//printf("tia");
				if (($co == 1)||($co == 3)) {
					printf("<div class=\"akapit\">\n");
					print("<H4>Dodaj zadanie:</H4>");
					printf("</div>\n");
					printAddExercises();
				}
/*				$row = $sess->getTab2("Agrupy", $grupa["gr"], $grupa["cyk"]);
				if ($row["operator"] == 'T'){
					print("<BR>");
					printf("<div class=\"akapit\">\n");
					$pom1 = linkOperator ("<H4>Operator</H4>", $grupa["gr"], $grupa["cyk"], $grupa["przed"], $grupa["cgr"], $grupa["cngr"]);
					printf("</div>\n");
				}*/
				delGroupData($co);
			}
		}
	}

	/** Funckja wyświetlająca zawartość prawego menu.
	 * @author Michał Malinowski
	 * @version 0.1
	 */
	function rightMenu() {
	    loging();
	    Sshow_actual_task();
	    asysRightMenu();
	}
?>
